#pragma once

#include <chrono>

#include "result.h"
#include "parser.h"

Result<ParseInfo> transpile(std::string fileContent);

std::string escapeText(std::string text);
std::string wrapText(std::string text, size_t width);


extern std::chrono::high_resolution_clock::time_point start;
extern std::chrono::high_resolution_clock::time_point end;
std::string showTime(std::string label);
